Bug 107300 - the msgrcv call from a 32bit binary fails
Summary: the msgrcv call from a 32bit binary fails
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-16 17:19 UTC by Need Real Name
Modified: 2013-03-06 05:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 20:20:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-10-16 17:19:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; GIS 
IE6.0 Build 20031007)

Description of problem:
THe msgrcv() call in an ia32 binary run on RH AS 2.1 (Derry)
running on ia64 (itanium 2)box fails with "Bad address".
The test program contains basicall mssget(), msgsnd() and
msgrcv() calls. The msgrcv() is the one which fails. The test
program is built on RH 7.3.

Version-Release number of selected component (if applicable):
RH AS 2.1 (Derry) 

How reproducible:
Always

Steps to Reproduce:
1.Write a tiny test program containing msgget, msgsnd, msgrcv calls
2.Compile it on ia32 box (RH 7.3 runnin on x86 box)
3.Bring it over to ia64 box running RH AS 2.1 and run it.
    

Actual Results:  msgrcv call fails with Bad Address error message

Expected Results:  msgrcv should succeed 

Additional info: The version number is NOT correct as there was no 2.1 entry in
                  the list

Comment 1 Arjan van de Ven 2003-10-16 17:31:49 UTC
32 bit emulation on ia64 is pretty limited unfortionatly

Comment 2 Jason Baron 2003-11-06 23:19:07 UTC
are you running the latest errata kernel? e.38?

Comment 3 Need Real Name 2003-11-07 03:46:06 UTC
No, I am running the e.12 kernel, the one which came with 
official 2.1 cd. (The kernel and source verions is 
2.4.18-e.12)

The ipc_kludge structure in arch/ia64/ia32/sys_ia32.c (?)
file has struct msgbuf * and long field types.......

Comment 4 Jason Baron 2003-11-07 18:27:03 UTC
I'd suggest upgrading to the latest errata kernel, then, e.38.

Comment 5 Jason Baron 2003-12-16 18:05:45 UTC
Has any progress been made? Have you updated to the latest errata RHEL
2.1 kernel? which is actually e.37.

Comment 6 Need Real Name 2004-02-17 20:16:14 UTC
Sorry for the delay in replying as I was out for 8 weeks...

The msgrcv call (from ia32 binary) does work fine in e.37
kernel. You can close this issue...


Comment 7 Jason Baron 2004-02-17 20:20:32 UTC
ok, great. closing.


Note You need to log in before you can comment on or make changes to this bug.